# Packmangroup: Other
# Packmanpackagename: ktail
# Packman: Manfred Tremmel

%define name    ktail
%define version 0.6.1
%define release 1.1

Name:           %{name}
Summary:        KDE Utility to monitor multiple files in one window
Summary(de):    KDE Utility um mehrere Logifles in einem Fenster zu verfolgen
License:        GPL
Group:          X11/KDE/Utilities
URL:            http://www.duffy1.franken.de/rjakob/
Version:        %{version}
Release:        %{release}

Source0:        ktail-0.6.1.tar.bz2
Source1:        qtmultilineedit.h
Source2:        qttableview.h
Patch0:		ktail.diff
Patch1:		configure.patch
#Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
#Vendor:         Packman
#Distribution:   SuSE Linux 9.1 (x86_64)
Prefix:         /opt/kde3
BuildRoot:      /var/tmp/%{name}-%{version}.root
Autoreqprov:    On
Requires:       qt3 >= %( echo `rpm -q --queryformat '%{VERSION}' qt3` )
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3` )
Requires:       kdebase3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdebase3` )
Requires:       XFree86
Requires:       XFree86-libs
BuildRequires:  kdelibs3-devel
BuildRequires:  kdebase3-devel
BuildRequires:  XFree86-devel
BuildRequires:  glibc-devel
BuildRequires:  gcc-c++

%description
ktail monitors multiple files in a window with tabs. Files may be regular
files, devices or command outputs. The output may be filtered.

%description -l de
Ktail listet mehrere Dateien in einem Fenster mit Karteireitern. Die Dateien
können normale Dateien, Devices oder Kommandoausgaben sein. Die Ausgabe kann
gefiltert werden.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p2
%build
cp %{SOURCE1} .
cp %{SOURCE2} .

. /etc/opt/kde3/common_options
export LDFLAGS="-L/usr/lib64"
./configure --prefix=/opt/kde3 --libdir=/usr/lib64 \
 --with-qt-libraries=/usr/lib/qt3/lib64 --with-extra-libs=/usr/lib64 \
 --sysconfdir=/etc --mandir=/usr/share/man --localstatedir=/var/state \
 --infodir=/usr/share/info
make clean
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) \%dir ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) \%dir ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm  -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}

%changelog
* Tue Aug 31 2004 Joe Morris <joe_morris@ntm.org>
- modified for x86_64
* Sat Nov 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changed Requires and BuildRequires entries
* Wed Apr 23 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added qtmultilineedit.h and qttableview.h to make it compile with SuSE 8.2
* Mon Apr 14 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
- added german translations
* Sun Sep 01 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first build
